> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reddit Post 

> Fetch Reddit post/comment details, media, stats, and related crossposts.



## OpenAPI

````yaml POST /reddit/post
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /reddit/post:
    post:
      description: Fetch Reddit post/comment details, media, stats, and related crossposts.
      requestBody:
        description: Reddit post/comment fetch parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RedditPostRequest'
        required: true
      responses:
        '200':
          description: Post fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedditPostResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    RedditPostRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Reddit post URL
        is_text_formatted:
          type: boolean
          description: Controls text formatting in output
          default: true
    RedditPostResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched Reddit post data
          items:
            type: object
            properties:
              query:
                type: string
                description: Original query URL
              author_name:
                type:
                  - string
                  - 'null'
                description: Name of the post author
              author_profile_image_url:
                type:
                  - string
                  - 'null'
                description: URL to the author's profile image
              author_profile_image_url_org:
                type:
                  - string
                  - 'null'
                description: Original URL to the author's profile image
              flair_text:
                type:
                  - string
                  - 'null'
                description: Flair text
              flair_text_link:
                type:
                  - string
                  - 'null'
                description: URL of the flair
              html_text:
                type:
                  - string
                  - 'null'
                description: HTML content of the post
              post_date:
                type:
                  - string
                  - 'null'
                description: Date when the post was created
              post_info:
                type: object
                properties:
                  archived:
                    type: boolean
                    description: Whether the post is archived
                  is_crosspostable:
                    type: boolean
                    description: Whether the post can be crossposted
                  locked:
                    type: boolean
                    description: Whether the post is locked
                  no_follow:
                    type: boolean
                    description: Whether nofollow is enabled
                  over_18:
                    type: boolean
                    description: Whether the post is NSFW
                  pinned:
                    type: boolean
                    description: Whether the post is pinned
                  spoiler:
                    type: boolean
                    description: Whether the post contains spoilers
              post_stats:
                type: object
                properties:
                  award_count:
                    type: number
                    description: Total awards received
                  comments_count:
                    type: number
                    description: Number of comments
                  down_votes:
                    type: number
                    description: Number of downvotes
                  up_votes:
                    type: number
                    description: Number of upvotes
              post_text:
                type:
                  - string
                  - 'null'
                description: Text content of the post
              post_tile:
                type:
                  - string
                  - 'null'
                description: Title of the post
              review_media:
                type: array
                description: Array of media items (images/videos)
                items:
                  type: object
                  properties:
                    height:
                      type:
                        - number
                        - 'null'
                      description: Height of the media
                    id:
                      type:
                        - string
                        - 'null'
                      description: Media identifier
                    review_media_type:
                      type: string
                      description: Type of media (image or video)
                    review_media_url:
                      type: string
                      description: URL of the media
                    width:
                      type:
                        - number
                        - 'null'
                      description: Width of the media
              subreddit:
                type:
                  - string
                  - 'null'
                description: Subreddit name
              subreddit_data:
                type:
                  - object
                  - 'null'
                description: Subreddit metadata
                properties:
                  active_user_count:
                    type:
                      - number
                      - 'null'
                  banner_img:
                    type:
                      - string
                      - 'null'
                  community_icon:
                    type:
                      - string
                      - 'null'
                  created_date:
                    type:
                      - string
                      - 'null'
                  display_name_prefixed:
                    type:
                      - string
                      - 'null'
                  header_img:
                    type:
                      - string
                      - 'null'
                  icon_img:
                    type:
                      - string
                      - 'null'
                  id:
                    type:
                      - string
                      - 'null'
                  name:
                    type:
                      - string
                      - 'null'
                  over_18:
                    type:
                      - boolean
                      - 'null'
                  primary_color:
                    type:
                      - string
                      - 'null'
                  public_description:
                    type:
                      - string
                      - 'null'
                  subscribers:
                    type:
                      - number
                      - 'null'
                  title:
                    type:
                      - string
                      - 'null'
              subreddit_info:
                type: object
                properties:
                  created_date:
                    type:
                      - string
                      - 'null'
                    description: Date when subreddit was created
                  crossposts:
                    type:
                      - number
                      - 'null'
                    description: Number of crossposts
                  subscribers:
                    type:
                      - number
                      - 'null'
                    description: Number of subscribers
              subreddit_name:
                type:
                  - string
                  - 'null'
                description: Subreddit full name
              subreddit_url:
                type:
                  - string
                  - 'null'
                description: URL of the subreddit
              url:
                type:
                  - string
                  - 'null'
                description: URL to the original post
              author_data:
                type:
                  - object
                  - 'null'
                description: Author metadata
                properties:
                  comment_karma:
                    type:
                      - number
                      - 'null'
                  created_date:
                    type:
                      - string
                      - 'null'
                  display_name_prefixed:
                    type:
                      - string
                      - 'null'
                  icon_img:
                    type:
                      - string
                      - 'null'
                  id:
                    type:
                      - string
                      - 'null'
                  is_employee:
                    type:
                      - boolean
                      - 'null'
                  is_gold:
                    type:
                      - boolean
                      - 'null'
                  is_mod:
                    type:
                      - boolean
                      - 'null'
                  link_karma:
                    type:
                      - number
                      - 'null'
                  name:
                    type:
                      - string
                      - 'null'
                  profile_public_description:
                    type:
                      - string
                      - 'null'
                  profile_subscribers:
                    type:
                      - number
                      - 'null'
                  profile_title:
                    type:
                      - string
                      - 'null'
                  snoovatar_img:
                    type:
                      - string
                      - 'null'
                  total_karma:
                    type:
                      - number
                      - 'null'
                  verified:
                    type:
                      - boolean
                      - 'null'
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````